vim.opt.number=true
vim.opt.relativenumber=true
vim.opt.showmatch=true
vim.opt.hlsearch=true
vim.opt.tabstop=4
vim.opt.softtabstop=4
vim.opt.expandtab=true
vim.opt.shiftwidth=4
vim.opt.syntax="on"
vim.opt.relativenumber=true
vim.opt.relativenumber=true
vim.opt.relativenumber=true
vim.opt.relativenumber=true
vim.opt.clipboard=unnamedplus
vim.opt.ttyfast=true
vim.cmd("filetype plugin on")


-- quick exit all
vim.api.nvim_set_keymap("n", ":Q", ":qall<CR>", { noremap = true, silent = true })



-- Plugins
require("config.lazy")

-- catpucchin
require("catppuccin").setup()
vim.cmd("colorscheme catppuccin-mocha")

-- using lua API
vim.keymap.set("n", "<space>fb", function()
	require("telescope").extensions.file_browser.file_browser()

end)

-- nvim-tree
local api = require("nvim-tree.api")
api.tree.open() -- Open the tree

vim.schedule(function()
    vim.cmd("wincmd p") -- Go back to the previous window (the editor)
end)

-- web devicons
require'nvim-web-devicons'.setup {
 -- your personal icons can go here (to override)
 -- you can specify color or cterm_color instead of specifying both of them
 -- DevIcon will be appended to `name`
 override = {
  zsh = {
    icon = "",
    color = "#428850",
    cterm_color = "65",
    name = "Zsh"
  }
 };
 -- globally enable different highlight colors per icon (default to true)
 -- if set to false all icons will have the default icon's color
 color_icons = true;
 -- globally enable default icons (default to false)
 -- will get overriden by `get_icons` option
 default = true;
 -- globally enable "strict" selection of icons - icon will be looked up in
 -- different tables, first by filename, and if not found by extension; this
 -- prevents cases when file doesn't have any extension but still gets some icon
 -- because its name happened to match some extension (default to false)
 strict = true;
 -- set the light or dark variant manually, instead of relying on `background`
 -- (default to nil)
 variant = "light|dark";
 -- same as `override` but specifically for overrides by filename
 -- takes effect when `strict` is true
 override_by_filename = {
  [".gitignore"] = {
    icon = "",
    color = "#f1502f",
    name = "Gitignore"
  }
 };
 -- same as `override` but specifically for overrides by extension
 -- takes effect when `strict` is true
 override_by_extension = {
  ["log"] = {
    icon = "",
    color = "#81e043",
    name = "Log"
  }
 };
 -- same as `override` but specifically for operating system
 -- takes effect when `strict` is true
 override_by_operating_system = {
  ["apple"] = {
    icon = "",
    color = "#A2AAAD",
    cterm_color = "248",
    name = "Apple",
  },
 };
}
